Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/AppointmentController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/AppointmentController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/AppointmentController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -94,4 +94,5 @@
         try {
             Long userId = appointmentService.updateAppointment(term);
+            System.out.println(userId);
             return ResponseEntity.ok(userId.toString());
         } catch (Exception e) {
@@ -119,7 +120,7 @@
         try {
             appointmentService.deleteAppointmentByTerm(term);
-            return ResponseEntity.noContent().build();
+            return ResponseEntity.noContent().build(); // Returns 204 No Content on success
         } catch (IllegalArgumentException e) {
-            return ResponseEntity.notFound().build();
+            return ResponseEntity.notFound().build(); // Returns 404 Not Found if appointment doesn't exist
         }
     }
@@ -148,3 +149,4 @@
     }
 
+
 }
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/AuthController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/AuthController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/AuthController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -3,4 +3,5 @@
 import finki.it.terapijamkbackend.spring.dto.LoginResponse;
 import finki.it.terapijamkbackend.spring.entities.User;
+import finki.it.terapijamkbackend.spring.entities.UserRole;
 import finki.it.terapijamkbackend.spring.services.UserService;
 import jakarta.servlet.http.Cookie;
@@ -48,11 +49,6 @@
             Cookie usernameCookie = new Cookie("username", temp.getUsername());
             usernameCookie.setPath("/");
-            usernameCookie.setMaxAge(600);
+            usernameCookie.setMaxAge(60*5);
             response.addCookie(usernameCookie);
-
-            Cookie roleCookie = new Cookie("role", temp.getUserRole().toString());
-            roleCookie.setPath("/");
-            roleCookie.setMaxAge(600);
-            response.addCookie(roleCookie);
 
             return ResponseEntity.ok(loginResponse);
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/CouponController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/CouponController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/CouponController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -3,4 +3,5 @@
 import finki.it.terapijamkbackend.spring.services.CouponsService;
 import jakarta.persistence.EntityNotFoundException;
+import jakarta.transaction.Transactional;
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.http.HttpStatus;
@@ -19,4 +20,5 @@
     @PutMapping("/createCoupon")
     public ResponseEntity<Coupon> updateCoupon(@RequestBody Coupon couponItem) {
+        System.out.println(couponItem);
         if (couponItem.getTitle() == null || couponItem.getCode() == null) {
             return ResponseEntity.badRequest().build();
@@ -51,14 +53,7 @@
         coupon.setCode(newCouponData.getCode());
         coupon.setDescription(newCouponData.getDescription());
-        couponService.save(coupon);
+        couponService.save(coupon); // Save the updated coupon
 
         return ResponseEntity.ok().build();
     }
-
-
-    @GetMapping("/getCouponNames")
-    public ResponseEntity<List<String>> getCouponNames() {
-        List<String> couponNames = couponService.getCouponNames();
-        return ResponseEntity.ok(couponNames);
-    }
 }
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/EventController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/EventController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/EventController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,5 +1,7 @@
 package finki.it.terapijamkbackend.spring.controllers;
 
+import finki.it.terapijamkbackend.spring.entities.Coupon;
 import finki.it.terapijamkbackend.spring.entities.Event;
+import finki.it.terapijamkbackend.spring.services.AppointmentService;
 import finki.it.terapijamkbackend.spring.services.EventService;
 import jakarta.persistence.EntityNotFoundException;
@@ -21,4 +23,5 @@
     @PutMapping("/createEvent")
     public ResponseEntity<Event> updateEvent(@RequestBody Event eventItem) {
+        System.out.println(eventItem);
         if (eventItem.getTitle() == null || eventItem.getText() == null) {
             return ResponseEntity.badRequest().build();
@@ -54,5 +57,5 @@
         event.setText(newEventData.getText());
         event.setImgSrc(newEventData.getImgSrc());
-        eventService.saveEvent(event);
+        eventService.saveEvent(event); // Save the updated coupon
 
         return ResponseEntity.ok().build();
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/RequestController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/RequestController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/RequestController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -37,4 +37,5 @@
     @GetMapping("/listAll")
     public List<TermsResponse> getRequestsByUser(@RequestParam("username") String username) {
+        System.out.println(username);
         List<Request>terms=requestService.findRequestsByUsername(username);
         return terms.stream()
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/UserController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/UserController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/UserController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -45,4 +45,5 @@
             response = new HashMap<>();
             response.put("message", "User created successfully!");
+            System.out.println(response);
             return ResponseEntity.ok(response);
         } catch (Exception e) {
@@ -53,9 +54,9 @@
     @GetMapping("/editUser")
     public ResponseEntity<User> getUser(@RequestParam String username) {
-        User user = userService.getUserByUsername(username);
+        User user = userService.getUserByUsername(username); // Fetch user data from service
         if (user != null) {
-            return ResponseEntity.ok(user);
+            return ResponseEntity.ok(user); // Return user data as JSON
         } else {
-            return ResponseEntity.notFound().build();
+            return ResponseEntity.notFound().build(); // Handle user not found
         }
     }
@@ -75,9 +76,9 @@
             String oldUsername=getCookieValue(request, "username");
             User user = userService.updateUser(oldUsername, updatedUser);
-            return ResponseEntity.ok(user);
+            return ResponseEntity.ok(user); // Return the updated user in the response
         } catch (UserNotFoundException e) {
-            return ResponseEntity.status(HttpStatus.NOT_FOUND).build();
+            return ResponseEntity.status(HttpStatus.NOT_FOUND).build(); // Return a 404 if user is not found
         } catch (Exception e) {
-            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).build();
+            return ResponseEntity.status(HttpStatus.INTERNAL_SERVER_ERROR).build(); // Return a 500 for other errors
         }
     }
Index: src/main/java/finki/it/terapijamkbackend/spring/controllers/WebController.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/controllers/WebController.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/controllers/WebController.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,12 +1,10 @@
 package finki.it.terapijamkbackend.spring.controllers;
 
-import finki.it.terapijamkbackend.spring.services.UserService;
-import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.stereotype.Controller;
 import org.springframework.web.bind.annotation.GetMapping;
 
-
 @Controller
 public class WebController {
+
     @GetMapping(path="/")
     public String index() {
@@ -53,8 +51,3 @@
         return "html/adminCoupons";
     }
-
-    @GetMapping(path="/userInfo.html")
-    public String userInfo() {
-        return "html/userInfo";
-    }
 }
Index: src/main/java/finki/it/terapijamkbackend/spring/entities/Appointment.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/entities/Appointment.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/entities/Appointment.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -26,5 +26,5 @@
     private Long id;
 
-    @ManyToOne(fetch = FetchType.LAZY)
+    @ManyToOne(fetch = FetchType.LAZY)  // Fetch the related entity lazily to avoid loading all properties
     @JoinColumn(name="request_id", referencedColumnName = "id")
     @JsonIgnore
Index: src/main/java/finki/it/terapijamkbackend/spring/entities/Event.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/entities/Event.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/entities/Event.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -25,9 +25,7 @@
 
     private String title;
-    @Lob
-    @Column(name = "text", columnDefinition = "TEXT")
     private String text;
-    @Lob
-    @Column(name = "img_src", columnDefinition = "TEXT")
+    @Lob // Indicates that this field can hold large data
+    @Column(name = "img_src", columnDefinition = "TEXT") // Ensure column type is TEXT in database
     private String imgSrc;
 
Index: src/main/java/finki/it/terapijamkbackend/spring/services/CouponsService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/CouponsService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/CouponsService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -9,5 +9,4 @@
 import java.util.List;
 import java.util.Optional;
-import java.util.stream.Collectors;
 
 @Service
@@ -34,9 +33,4 @@
         return couponRepository.findByTitle(identifier);
     }
-    public List<String> getCouponNames() {
-        return couponRepository.findAll().stream()
-                .map(Coupon::getCode)
-                .collect(Collectors.toList());
-    }
 
     public void save(Coupon coupon) {
Index: src/main/java/finki/it/terapijamkbackend/spring/services/EventService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/EventService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/EventService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,6 +1,8 @@
 package finki.it.terapijamkbackend.spring.services;
 
+import finki.it.terapijamkbackend.spring.entities.Coupon;
 import finki.it.terapijamkbackend.spring.entities.Event;
 import finki.it.terapijamkbackend.spring.repositories.EventRepository;
+import finki.it.terapijamkbackend.spring.repositories.UserRepository;
 import jakarta.persistence.EntityNotFoundException;
 import org.springframework.beans.factory.annotation.Autowired;
Index: src/main/java/finki/it/terapijamkbackend/spring/services/RequestService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/RequestService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/RequestService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -41,4 +41,5 @@
     public List<Request> findRequestsByUsername(String username) {
        User user=userRepository.findByUsername(username).orElse(null);
+        System.out.println(user.getId());
         return requestRepository.findRequestsForFreeAppointments(user.getId());
     }
Index: src/main/java/finki/it/terapijamkbackend/spring/services/UserService.java
===================================================================
--- src/main/java/finki/it/terapijamkbackend/spring/services/UserService.java	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/java/finki/it/terapijamkbackend/spring/services/UserService.java	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -58,5 +58,5 @@
             }
 
-            return userRepository.save(existingUser);
+            return userRepository.save(existingUser); // Save the updated user back to the database
         } else {
             throw new UserNotFoundException("User not found with username: " + username);
Index: src/main/resources/static/css/admin-terms.css
===================================================================
--- src/main/resources/static/css/admin-terms.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/admin-terms.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -44,11 +44,8 @@
 }
 #active{
-    padding: 15px;
+    margin: 15px 0;
     display: flex;
     flex-direction: column;
     gap: 10px;
-    border: 1px solid #ccc;
-    border-radius: 5px;
-    background-color: #f9f9f9;
 }
 #frame{
@@ -82,4 +79,5 @@
     position: relative;
     overflow: hidden;
+    /* transform: scale(1.25); */
 }
 
@@ -133,7 +131,9 @@
     cursor: pointer;
     animation: to-top 1s forwards;
+    /* border-radius: 50%; */
 }
 #frame > *:hover{
     background-color:white;
+    transition: background-color 0.3s, transform 0.3s;
 }
 
@@ -276,7 +276,7 @@
     font-size: 14px;
     height: 30px;
-    width: 70px;
+    width: 55px;
     padding: 5px;
-    overflow: hidden;
+    overflow: hidden; /* Hide overflow if needed */
 }
 
@@ -291,5 +291,5 @@
     width: 100%;
     height: 100%;
-    background-color: rgba(0, 0, 0, 0.5);
+    background-color: rgba(0, 0, 0, 0.5); /* Dark background */
     justify-content: center;
     align-items: center;
@@ -320,12 +320,11 @@
 }
 
-#cancelBtn, #temporal-deletion, #delete-approval{
-    background-color: #ff6666;
+#cancelBtn {
+    background-color: #f44336; /* Red */
     color: white;
-    max-width: fit-content;
-}
-
-#approveBtn, #confirm-approval, #approve-carried-out{
-    background-color: #4CAF50;
+}
+
+#approveBtn {
+    background-color: #4CAF50; /* Green */
     color: white;
 }
@@ -391,5 +390,4 @@
     background-color: #f9f9f9;
 }
-
 #creation > * {
     padding-bottom: 10px;
@@ -407,14 +405,11 @@
 }
 
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
+#delete-all-free button {
+    padding: 10px;
+    background-color: #ff6666;
     color: white;
-    background-color: red;
-    padding: 10px;
     border: none;
     border-radius: 5px;
+    cursor: pointer;
 }
 
@@ -428,16 +423,25 @@
 }
 
+
+
+/* Table styles */
 table {
-    padding-top: 10px;
-    width: fit-content;
+    width: 320px;
     border-collapse: collapse;
     margin-bottom: 20px;
 }
 
-
-thead > tr {
+/* Table header styles */
+thead {
+    background-color: #007BFF;
+    color: white;
+}
+
+th {
     padding: 10px;
     text-align: left;
 }
+
+
 
 tbody tr {
@@ -447,5 +451,5 @@
 
 tbody tr:hover {
-    background-color: #f1f1f1;
+    background-color: #f1f1f1; /* Highlight row on hover */
 }
 
@@ -453,28 +457,2 @@
     padding: 10px;
 }
-
-#request-assets, #appointment-assets
-{
-    display: flex;
-    flex-direction: row;
-    gap: 10px;
-}
-
-h3{
-    padding-top: 20px;
-}
-#summary{
-    margin-top: 20px;
-    padding: 15px;
-    display: flex;
-    flex-direction: column;
-    border: 1px solid #ccc;
-    border-radius: 5px;
-    background-color: #f9f9f9;
-}
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-}
Index: src/main/resources/static/css/admin.css
===================================================================
--- src/main/resources/static/css/admin.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/admin.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -41,21 +41,20 @@
     padding: 30px;
     display: grid;
-
-    grid-template-columns: repeat(2, 1fr);
-    gap: 20px;
+    grid-template-columns: repeat(2, 1fr); /* Create two equal columns */
+    gap: 20px;                          /* Space between grid items */
 }
 #menu a {
-    display: flex;
-    flex-direction: column;
-    align-items: center;
+    display: flex;                      /* Enable Flexbox for a */
+    flex-direction: column;            /* Align icon and text vertically */
+    align-items: center;               /* Center items horizontally */
     justify-content: center;
-    text-decoration: none;
-    padding: 15px;
-    border: 1px solid #ccc;
+    text-decoration: none;             /* Remove underline from links */
+    padding: 15px;                    /* Add padding inside each link */
+    border: 1px solid #ccc;           /* Optional: border around each link */
     border-radius: 5px;
     font-size: 30px; ;
 }
 #menu a:hover {
-    background-color: white;
+    background-color: white; /* Light blue background on hover */
     transition: background-color 0.3s ease;
     border: 1px solid black;
@@ -63,16 +62,5 @@
 
 #menu img {
-    max-width: 50px;
-    margin-bottom: 5px;
+    max-width: 50px;                  /* Limit the width of images */
+    margin-bottom: 5px;               /* Space between image and text */
 }
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
Index: src/main/resources/static/css/adminNews.css
===================================================================
--- src/main/resources/static/css/adminNews.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/adminNews.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -27,22 +27,19 @@
 }
 .news-item{
-    display: flex;
-    flex-direction: column;
-    width: 420px;
+    display: flex; /* Aligns image and text in a row */
+    flex-direction: column; /* Change to 'row' for horizontal layout */
+    width: 260px;
     align-items: center;
     justify-content: center;
     margin: 0 15px 10px 0;
     padding: 20px;
-    border: 1px solid #ddd;
+    border: 1px solid #ddd; /* Optional: Adds a border */
     box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
 }
-.news-item > *{
-    text-align: left;
-}
 img{
-    width: 100%;
-    max-width: 400px;
-    height: auto;
-    border-radius: 10px;
+    width: 100%; /* Make image responsive */
+    max-width: 400px; /* Set a maximum width for the image */
+    height: auto; /* Maintain aspect ratio */
+    border-radius: 10px; /* Optional: Adds rounded corners */
     margin-bottom: 15px;
 }
@@ -50,5 +47,5 @@
     font-size: 1.2rem;
     line-height: 1.5;
-    text-align: center;
+    text-align: center; /* Center the text */
     color: #333;
     margin: 0;
@@ -56,5 +53,5 @@
 @media (max-width: 768px) {
     .news-item {
-        flex-direction: column;
+        flex-direction: column; /* Stack elements on smaller screens */
     }
 }
@@ -101,4 +98,5 @@
 }
 
+/* Style for the upload button */
 #open-popup {
     padding: 10px 20px;
@@ -112,5 +110,5 @@
 
 #image-popup {
-    width: 400px;
+    width: 400px; /* Set a width for the modal */
     background-color: white;
     border-radius: 8px;
@@ -128,4 +126,5 @@
 }
 
+/* Image preview area */
 #image-preview {
     margin-top: 10px;
@@ -134,4 +133,5 @@
 }
 
+/* Style for buttons inside the popup */
 #image-popup button {
     padding: 8px 15px;
@@ -147,30 +147,25 @@
 
 #edit-button, #save-button {
-    background-color: #17a2b8;
+    background-color: #17a2b8; /* Blueish color */
 }
 
 
+/* Overlay */
 #overlay {
-    background: rgba(0, 0, 0, 0.5);
-    z-index: 999;
+    background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
+    z-index: 999; /* Ensure it is behind the modal but above everything else */
 }
 
+/* Button hover effects */
 #image-popup button:hover, #open-popup:hover {
     opacity: 0.9;
 }
 
+
+
+/* Cancel button */
 #cancel-button {
-    background-color: #dc3545;
+    background-color: #dc3545; /* Red color */
 }
 
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
+
Index: src/main/resources/static/css/calendar.css
===================================================================
--- src/main/resources/static/css/calendar.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/calendar.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,14 +1,15 @@
+/* Modal background */
 #confirmation-modal {
-    display: none;
-    position: absolute;
-    z-index: 1000;
+    display: none; /* Hidden by default */
+    position: absolute; /* Fixed positioning to center it on the page */
+    z-index: 1000; /* Sit on top */
     left: 38%;
     top: 40%;
-    width: 400px;
-    overflow: auto;
-    background-color: #fff;
-    border-radius: 8px;
-    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
-    text-align: center;
+    width: 400px; /* Full width */
+    overflow: auto; /* Enable scroll if needed */
+    background-color: #fff; /* White background for the content */
+    border-radius: 8px; /* Rounded corners */
+    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Subtle shadow for depth */
+    text-align: center; /* Center align text */
 }
 .model-content{
@@ -23,6 +24,7 @@
 }
 
+/* Buttons */
 button {
-    background-color: #3498db;
+    background-color: #3498db; /* Primary button color */
     border: none;
     color: #fff;
@@ -36,18 +38,19 @@
 
 button:hover {
-    background-color: #2980b9;
-    transform: scale(1.05);
+    background-color: #2980b9; /* Darker shade for hover effect */
+    transform: scale(1.05); /* Slight scale effect on hover */
 }
 
 button:active {
-    background-color: #1f77e4;
-}
-
+    background-color: #1f77e4; /* Even darker shade when active */
+}
+
+/* Cancel button with different color */
 #cancel-booking {
-    background-color: #e74c3c;
+    background-color: #e74c3c; /* Different color for cancel button */
 }
 
 #cancel-booking:hover {
-    background-color: #c0392b;
+    background-color: #c0392b; /* Darker shade for hover effect */
 }
 
@@ -115,17 +118,4 @@
 #right-side > *{
     margin:10px;
-}
-#right-side{
-    position: relative;
-    top: 50px;
-    padding: 16px;
-}
-#hourly-terms{
-    display: flex;
-    flex-wrap: wrap;
-    gap: 10px;
-}
-#right-side > *{
-    margin-bottom: 5px;
 }
 
@@ -186,4 +176,5 @@
     position: relative;
     overflow: hidden;
+    /* transform: scale(1.25); */
 }
 
@@ -241,4 +232,5 @@
     cursor: pointer;
     animation: to-top 1s forwards;
+    /* border-radius: 50%; */
 }
 
@@ -247,4 +239,7 @@
 }
 
+.calendar-days div:hover span {
+    transition: width 0.2s ease-in-out, height 0.2s ease-in-out;
+}
 
 .calendar-days div span:nth-child(1),
@@ -255,4 +250,9 @@
 }
 
+.calendar-days div:hover span:nth-child(1),
+.calendar-days div:hover span:nth-child(3) {
+    height: 100%;
+}
+
 .calendar-days div span:nth-child(1) {
     bottom: 0;
@@ -272,4 +272,8 @@
 }
 
+.calendar-days div:hover span:nth-child(2),
+.calendar-days div:hover span:nth-child(4) {
+    width: 100%;
+}
 
 .calendar-days div span:nth-child(2) {
@@ -283,5 +287,18 @@
 }
 
-.curr-date{
+.calendar-days div:hover span:nth-child(2) {
+    transition-delay: 0.2s;
+}
+
+.calendar-days div:hover span:nth-child(3) {
+    transition-delay: 0.4s;
+}
+
+.calendar-days div:hover span:nth-child(4) {
+    transition-delay: 0.6s;
+}
+
+.calendar-days div.curr-date,
+.calendar-days div.curr-date:hover {
     background-color: var(--blue);
     color: var(--white);
@@ -374,16 +391,6 @@
     }
 }
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
-
-
-
+
+
+
+
Index: src/main/resources/static/css/editUser.css
===================================================================
--- src/main/resources/static/css/editUser.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ 	(revision )
@@ -1,189 +1,0 @@
-body{
-    font-family: "Caveat", cursive;
-    margin: 30px;
-}
-#content{
-    display: flex;
-    gap: 50px;
-}
-#main-part{
-    display: flex;
-    flex-direction: column;
-    width:420px;
-    gap: 30px;
-}
-#container{
-    display: flex;
-    justify-content: center;
-    align-items: center;
-    height: 300px;
-    gap: 50px;
-    border: 1px solid #ccc;
-    border-radius: 5px;
-    background-color: #f9f9f9;
-    padding: 10px;
-}
-
-#container p{
-    font-weight:bold;
-    margin: 0;
-    padding-bottom: 10px;
-}
-button {
-    margin-right: 13px;
-    margin-bottom: 5px;
-    border:0;
-    border-radius: 5px;
-    padding: 10px;
-}
-
-#block-account{
-    background-color: #ff6666;
-    color: white;
-}
-#edit-profile{
-    background-color: royalblue;
-    color: white;
-}
-#saveChanges{
-    background-color: #4CAF50;
-    color: white;
-}
-#left-side, #right-side {
-    display: flex;
-    flex-direction: column;
-    gap: 15px;
-}
-
-#stat-table {
-    height: 320px;
-    width: 420px;
-    border-collapse: collapse;
-    table-layout: fixed;
-}
-#additional-table{
-    border-collapse: collapse;
-    table-layout: fixed;
-}
-#active-tableHead > tr > th, #active-table > tr > td{
-   width: fit-content;
-}
-
-#stat-table th, #stat-table td, #active-tableHead > tr > th, #active-table > tr > td {
-    text-align: center;
-    border: 1px solid #ddd;
-    padding: 12px;
-}
-
-#stat-table th, #active-tableHead > tr > th {
-    background-color: lightslategray;
-    color: #fff;
-    font-weight: bold;
-
-}
-
-
-#table-part > p{
-    font-size: 20px;
-}
-#statusDropdown{
-    margin-bottom: 25px;
-}
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
-
-.modal {
-    display: none; /* Hidden by default */
-    position: fixed; /* Stay in place */
-    z-index: 9999; /* Sit on top */
-    left: 0;
-    top: 0;
-    width: 100%; /* Full width */
-    height: 100%; /* Full height */
-    background-color: rgba(0, 0, 0, 0.5); /* Black background with opacity */
-    align-items: center;
-    justify-content: center;
-}
-
-/* Modal Content Box */
-.modal-content {
-    background-color: #fefefe;
-    margin: auto;
-    padding: 20px;
-    border-radius: 8px;
-    width: 300px;
-    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
-    text-align: center;
-    position: relative;
-}
-
-.close {
-    position: absolute;
-    top: 10px;
-    right: 15px;
-    color: #aaa;
-    font-size: 24px;
-    font-weight: bold;
-    cursor: pointer;
-}
-
-.close:hover,
-.close:focus {
-    color: #000;
-    text-decoration: none;
-    cursor: pointer;
-}
-
-/* Modal Heading */
-h2 {
-    margin-bottom: 15px;
-    font-size: 20px;
-}
-
-/* Input Field */
-#userInput {
-    width: 100%;
-    padding: 8px;
-    margin-bottom: 15px;
-    border: 1px solid #ccc;
-    border-radius: 4px;
-    box-sizing: border-box;
-}
-
-/* Buttons */
-.buttons {
-    display: flex;
-    justify-content: space-between;
-}
-
-.buttons button {
-    width: 48%;
-    padding: 10px;
-    border: none;
-    border-radius: 4px;
-    cursor: pointer;
-    font-size: 16px;
-}
-
-#cancelBtn {
-    background-color: #f44336;
-    color: white;
-}
-
-#approveBtn {
-    background-color: #4CAF50;
-    color: white;
-}
-
-.buttons button:hover {
-    opacity: 0.8;
-}
Index: src/main/resources/static/css/index.css
===================================================================
--- src/main/resources/static/css/index.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/index.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -66,13 +66,13 @@
 
 .dropdown-content {
-    display: none;
-    position: absolute;
+    display: none; /* Hide dropdown by default */
+    position: absolute; /* Position relative to the list item */
     left: 0;
-    top: 100%;
-    background-color: white;
-    border: 1px solid #ddd;
-    padding: 10px;
-    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
-    width: 100%;
+    top: 100%; /* Position below the list item */
+    background-color: white; /* Background color of the dropdown */
+    border: 1px solid #ddd; /* Border of the dropdown */
+    padding: 10px; /* Padding inside the dropdown */
+    box-shadow: 0 2px 5px rgba(0,0,0,0.1); /* Optional shadow for dropdown */
+    width: 100%; /* Full width of the list item */
 }
 .icon-search{
@@ -98,4 +98,5 @@
     justify-content: center;
     height: 350px;
+    /*background-color: #F3F0E7;*/
     background-color: #F7F7F5;
 }
@@ -107,6 +108,4 @@
 .items-register{
     font-family: "Kumbh Sans", sans-serif;
-    position: absolute;
-    left: 900px;
 }
 .items-register p{
@@ -118,4 +117,11 @@
 }
 
+.items-register{
+    display:flex;
+    flex-direction: column;
+    align-items: center;
+    /*background-color: #F3F0E7;*/
+}
+
 .form-imp{
     display: flex;
@@ -126,7 +132,7 @@
 }
 input , button {
-    border-radius: 5px;
-    padding: 7px;
-    border: 1px solid #9D9D9D;
+    border-radius: 5px; /* Adjust the value to make the corners more or less rounded */
+    padding: 7px; /* Optional: adds padding inside the input */
+    border: 1px solid #9D9D9D; /* Optional: adds a border around the input */
 }
 button{
@@ -134,22 +140,9 @@
     color:white;
 }
-#personalised{
-    font-size: xx-large;
-    font-family: "Caveat", cursive;
-}
 .white-part{
-    display: flex;
-    flex-direction: column;
     background-color: white;
     width: 415px;
     border-radius: 5px;
-    padding: 20px;
-}
-a {
-    text-decoration: none;
-}
-.logged-in{
-    padding: 20px;
-    font-family: "Kumbh Sans", sans-serif;
+    padding: 7px;
 }
 .split-title{
@@ -186,4 +179,5 @@
     align-items: center;
     background-color: #F7F7F5;
+    /*background-color: #F3F0E7;*/
 }
 .part2 > div{
@@ -193,5 +187,5 @@
 }
 .part2 > div:first-child {
-    justify-content: flex-end;
+    justify-content: flex-end; /* Align the content to the right */
 }
 
@@ -223,11 +217,11 @@
     background-color: transparent;
     color: darkgreen;
-    border: 2px solid darkgreen;
-    border-radius: 12px;
-    font-weight: bold;
-    padding: 10px 20px;
-    cursor: pointer;
-    font-family: "Kumbh Sans", sans-serif;
-    font-size: 16px;
+    border: 2px solid darkgreen; /* Set the border color and make it bold */
+    border-radius: 12px; /* Make the borders rounded */
+    font-weight: bold; /* Make the text bold */
+    padding: 10px 20px; /* Add some padding for better appearance */
+    cursor: pointer; /* Change the cursor to a pointer when hovered */
+    font-family: "Kumbh Sans", sans-serif; /* Match the font family */
+    font-size: 16px; /* Adjust font size as needed */
 }
 
@@ -254,6 +248,6 @@
 }
 .icons li img:hover {
-    background-color: white;
-    border-color: darkslategrey;
+    background-color: white; /* Change background color on hover */
+    border-color: darkslategrey; /* Change border color on hover */
 }
 .footer-left p img{
@@ -278,20 +272,22 @@
 }
 
+
+/*login*/
+
 .popup {
-    display: none;
-    position: fixed;
-    z-index: 2;
+    display: none; /* Hide the form */
+    position: fixed; /* Position it relative to the viewport */
+    z-index: 2; /* Ensure it appears above other content */
     left: 50%;
     top: 50%;
-    transform: translate(-50%, -50%);
-    width: 500px;
-    height: auto;
-    padding: 25px;
-    background-color: white;
-    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
-    border-radius: 10px;
-    font-family: "Kumbh Sans", sans-serif;
-}
-
+    transform: translate(-50%, -50%); /* Center it horizontally and vertically */
+    width: 500px; /* Set a fixed width for the form */
+    padding: 25px; /* Add some padding */
+    background-color: white; /* Background color of the form */
+    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5); /* Add a shadow for better visibility */
+    border-radius: 10px; /* Slightly round the corners */
+}
+
+/* Style the close button */
 .popup .close-btn {
     position: absolute;
@@ -301,49 +297,42 @@
     cursor: pointer;
 }
-#submit-btn{
-    width: 120px;
-    background-color: #10B981;
-}
-#loginForm > div > h2{
-    text-align: center;
-}
-
+
+/* Add some basic styling for the form content */
 .popup-content {
-    padding: 20px;
-    width: 100%;
-    display: flex;
-    flex-direction: column;
-    align-items: stretch;
+    display: flex; /* Use flexbox for layout */
+    flex-direction: column; /* Stack children vertically */
+    align-items: stretch; /* Ensure all elements take the full width */
+    text-align: center; /* Center the content */
 }
 
 .popup-content h2 {
-    margin-bottom: 20px;
+    margin-bottom: 20px; /* Add some space below the title */
 }
 
 .popup-content label {
-    display: block;
-    margin-bottom: 10px;
-    text-align: left;
+    display: block; /* Make the labels block elements */
+    margin-bottom: 10px; /* Add some space below the labels */
+    text-align: left; /* Align the text to the left */
 }
 
 .popup-content input {
-    width: 100%;
-    padding: 8px;
-    margin-bottom: 20px;
-    border: 1px solid #ccc;
-    border-radius: 5px;
+    width: 100%; /* Make the inputs take up the full width */
+    padding: 8px; /* Add some padding inside the inputs */
+    margin-bottom: 20px; /* Add space below the inputs */
+    border: 1px solid #ccc; /* Light border around inputs */
+    border-radius: 5px; /* Slightly round the input corners */
 }
 
 .popup-content button {
-    padding: 10px 20px;
-    background-color: #007BFF;
-    color: white;
-    border: none;
-    border-radius: 5px;
-    cursor: pointer;
+    padding: 10px 20px; /* Add padding to the button */
+    background-color: #007BFF; /* Button background color */
+    color: white; /* Button text color */
+    border: none; /* Remove the default border */
+    border-radius: 5px; /* Round the button corners */
+    cursor: pointer; /* Add a pointer cursor on hover */
 }
 
 .popup-content button:hover {
-    background-color: #0056b3;
+    background-color: #0056b3; /* Darken the button on hover */
 }
 body.no-scroll {
@@ -351,57 +340,7 @@
 }
 .dataForms{
-    display: flex;
-    flex-direction: column;
-    align-items: stretch;
-    text-align: center;
-
-}
-#links{
-    padding: 10px;
-    display: flex;
-    flex-direction: column;
-    gap: 5px;
-    color: darkgreen;
-}
-.logged-in{
-    position: absolute;
-    left: 900px;
-    padding: 30px;
-}
-a img{
-    transform: rotate(-90deg);
-    height: 20px;
-    margin-right: 10px;
-}
-#signInForm{
-    height: 500px;
-    width: 700px;
-}
-#signInForm > div > form{
-    display: grid;
-    grid-template-columns: repeat(2, 1fr);
-    grid-template-rows: repeat(3, 1fr);
-    gap: 10px;
-}
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
-
-#create{
-    width: 200px;
-    padding: 15px;
-    background-color: #10B981;
-    position: absolute;
-    top: 80%;
-    left: 50%;
-    transform: translate(-50%, -50%);
-    margin-top: 20px;
-}
+    display: flex; /* Use flexbox for layout */
+    flex-direction: column; /* Stack children vertically */
+    align-items: stretch; /* Ensure all elements take the full width */
+    text-align: center; /* Center the content */
+}
Index: src/main/resources/static/css/terms.css
===================================================================
--- src/main/resources/static/css/terms.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/terms.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -4,7 +4,10 @@
 body{
     font-family: var(--font-family);
+}
+#outer-frame{
     background-color: #f3f8fe;
+    width: 100%;
+    height: 100vh;
 }
-
 #header{
     display: flex;
@@ -13,12 +16,7 @@
 #menu{
     display: flex;
-    gap: 10px;
 }
 #menu *{
-    padding: 10px;
-    background-color: #17a2b8;
-    border: 0;
-    border-radius: 5px;
-    color: white;
+    padding: 8px;
 }
 table td,
@@ -26,5 +24,8 @@
     padding: 10px;
 }
-
+table{
+    /*margin: 0 auto;*/
+    width: 920px;
+}
 
 #popup {
@@ -66,40 +67,2 @@
     color: #fff;
 }
-
-table{
-    border-collapse: collapse;
-    table-layout: fixed;
-    width: max-content;
-}
-
-th, td {
-    width: fit-content;
-    text-align: center;
-    border: 1px solid #ddd;
-    padding: 12px;
-}
-
-th {
-    background-color: lightslategray;
-    color: #fff;
-
-}
-#frame{
-    display: flex;
-    flex-direction: column;
-    gap: 10px;
-}
-#requestsTableBody{
-    background-color: #eeeded;
-}
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
Index: src/main/resources/static/css/userInfo.css
===================================================================
--- src/main/resources/static/css/userInfo.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ 	(revision )
@@ -1,41 +1,0 @@
-body{
-    font-family: "Caveat", cursive;
-    background-color: aliceblue;
-}
-#box{
-    display: flex;
-    margin: 20px;
-    gap: 20px;
-}
-#coupons-frame, #news-frame{
-    display: flex;
-    flex-wrap: wrap;
-    justify-content: start;
-}
-.new-item{
-display: flex;
-flex-direction: column;
-width: 260px;
-align-items: center;
-justify-content: center;
-margin: 0 15px 10px 0;
-padding: 20px;
-border: 1px solid #ddd;
-box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
-background-color: white;
-}
-h2{
-   display: flex;
-    justify-content: center;
-}
-#authButton{
-    position: absolute;
-    left: 1145px;
-    top: 21px;
-    width: 150px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
Index: src/main/resources/static/css/users-view.css
===================================================================
--- src/main/resources/static/css/users-view.css	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/css/users-view.css	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,3 +1,3 @@
-
+/* General reset */
 * {
     margin: 0;
@@ -6,4 +6,5 @@
 }
 
+/* Styling for the entire page */
 body {
     font-family: Arial, sans-serif;
@@ -19,4 +20,5 @@
 }
 
+/* Frame that contains the whole content */
 #frame {
     width: 80%;
@@ -28,4 +30,5 @@
 }
 
+/* Header section */
 #header-part {
     display: flex;
@@ -36,4 +39,5 @@
 }
 
+/* Dropdown and labels styling */
 label {
     font-weight: bold;
@@ -56,4 +60,5 @@
 }
 
+/* Main part: the table */
 #main-part {
     margin-top: 20px;
@@ -91,4 +96,5 @@
 }
 
+/* For responsiveness */
 @media (max-width: 768px) {
     #header-part {
@@ -105,16 +111,33 @@
     display: none;
 }
-button{
-    padding: 5px;
-}
-#authButton{
-    position: absolute;
-    left: 1280px;
-    top: 21px;
-    width: 127px;
-    color: white;
-    background-color: red;
-    padding: 10px;
-    border: none;
-    border-radius: 5px;
-}
+/*.news-item{*/
+/*    display: flex; !* Aligns image and text in a row *!*/
+/*    !*flex-direction: column; !* Change to 'row' for horizontal layout *!*!*/
+/*    width: 300px;*/
+/*    align-items: center;*/
+/*    justify-content: center;*/
+/*    max-width: 800px; !* Limit max width to prevent stretching *!*/
+/*    margin: 0 auto; !* Centers the container *!*/
+/*    padding: 20px;*/
+/*    border: 1px solid #ddd; !* Optional: Adds a border *!*/
+/*    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);*/
+/*}*/
+/*img{*/
+/*    width: 100%; !* Make image responsive *!*/
+/*    max-width: 400px; !* Set a maximum width for the image *!*/
+/*    height: auto; !* Maintain aspect ratio *!*/
+/*    border-radius: 10px; !* Optional: Adds rounded corners *!*/
+/*    margin-bottom: 15px;*/
+/*}*/
+/*p{*/
+/*    font-size: 1.2rem;*/
+/*    line-height: 1.5;*/
+/*    text-align: center; !* Center the text *!*/
+/*    color: #333;*/
+/*    margin: 0;*/
+/*}*/
+/*@media (max-width: 768px) {*/
+/*    .news-item {*/
+/*        flex-direction: column; !* Stack elements on smaller screens *!*/
+/*    }*/
+/*}*/
Index: src/main/resources/static/js/admin-terms.js
===================================================================
--- src/main/resources/static/js/admin-terms.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/admin-terms.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,5 +1,4 @@
 import { deleteAppointment, confirmCarriedOut, getUsersByTermExcept, removeRequestAndUpdateUser, removeAppointment, makeReservation ,displayDiv} from './shared.js';
 
-let lastClickedItem=null;
 let calendar = document.querySelector('.calendar')
 let importantDate;
@@ -110,15 +109,11 @@
     }));
 
-    const response=await fetch(`/api/appointments/create`, {
+    await fetch(`/api/appointments/create`, {
         method: 'POST',
         headers: {
             'Content-Type': 'application/json',
         },
-        body: JSON.stringify(requestBody)
-    });
-    if(response.ok){
-        location.reload();
-    }
-
+        body: JSON.stringify(requestBody) // Send all appointments in one request
+    });
 }
 document.getElementById('create-appointments').addEventListener('click', async function () {
@@ -129,5 +124,5 @@
     const interval = parseInt(document.getElementById('time-interval').value);
 
-    if (!startDate || !endDate || !startTime || !endTime || isNaN(interval)) {
+    if (!startDate || !endDate || !startTime || !endTime || !interval) {
         alert("Please fill out all the fields.");
         return;
@@ -147,5 +142,5 @@
             const existingTimes = existingMapped.get(date);
             if (checkOverlap(existingTimes, time)) {
-                conflictingAppointments.push(newAppointment);
+                conflictingAppointments.push(newAppointment);  // Add to conflict list if overlaps
             } else {
                 successfulAppointments.push(newAppointment);
@@ -245,6 +240,6 @@
         requestedRow.appendChild(couponCodeTd);
         requestedElement.appendChild(requestedRow);
+        displayDiv(dateTime);
     })
-    displayDiv(dateTime);
 }
 function getAllRequests(dateTime,containerId){
@@ -282,11 +277,6 @@
 
         itemDiv.addEventListener('click', async () => {
-            document.getElementById("summary").style.display='none';
             try{
-                if(lastClickedItem){
-                    lastClickedItem.style.backgroundColor="#f9f9f9";
-                }
-                lastClickedItem=itemDiv;
-                itemDiv.style.backgroundColor="grey";
+
                 const isReserved=await isAppointmentReserved(item.localDateTime);
                 const isEmpty=await isAppointmentEmpty(item.localDateTime);
@@ -295,5 +285,4 @@
                 cleanData("requested")
                 if (isReserved) {
-                    document.getElementById("summary").style.display='block';
                     document.getElementById("approved-table").style.display = 'block';
                     document.getElementById("requested-table").style.display = 'none';
@@ -303,4 +292,5 @@
                     deleteBtn.setAttribute("term",item.localDateTime);
                     deleteBtn.setAttribute("type","cancelledAppointmentByAdmin");
+                    //da go isprogramirash delete-approval
                     document.getElementById("delete-approval").addEventListener('click', function() {
                         removeAppointment(item.localDateTime,"cancelledAppointmentByAdmin");
@@ -317,5 +307,4 @@
                 }
                 else if(!isEmpty){
-                    document.getElementById("summary").style.display='block';
                     document.getElementById("approved-table").style.display = 'none';
                     document.getElementById("requested-table").style.display = 'block';
@@ -327,5 +316,4 @@
                 }
                 else{
-                    document.getElementById("summary").style.display='none';
                     document.getElementById("approved-table").style.display = 'none';
                     document.getElementById("requested-table").style.display = 'none';
@@ -377,4 +365,5 @@
     let currDate = new Date()
 
+    // if (!month) month = currDate.getMonth()
     console.log(month);
     if (typeof month !== 'number') month = currDate.getMonth();
@@ -385,4 +374,5 @@
     calendar_header_year.innerHTML = year
 
+    // get first day of month
 
     let first_day = new Date(year, month, 1)
@@ -405,5 +395,4 @@
             }
             day.addEventListener('click', () => {
-                document.getElementById("summary").style.display='none';
                 let temp=document.getElementsByClassName('curr-date');
                 Array.from(temp).forEach(element => {
@@ -469,5 +458,5 @@
     const otherPickersInterval = 30;
 
-    for (let hour = 7; hour < 22; hour++) {
+    for (let hour = 7; hour < 22; hour++) { // 0 to 23 for 24-hour format
         for (let minutes = 0; minutes < 60; minutes++) {
             const formattedHour = hour.toString().padStart(2, '0');
@@ -515,5 +504,4 @@
         .then(data => {
             console.log(data.message);
-            location.reload();
         })
         .catch(error => {
@@ -537,5 +525,4 @@
         if (response.ok) {
             alert("Free appointments for the selected date range were deleted.");
-            location.reload();
         } else {
             alert("An error occurred while trying to delete the appointments.");
Index: src/main/resources/static/js/adminNewsCoupons.js
===================================================================
--- src/main/resources/static/js/adminNewsCoupons.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/adminNewsCoupons.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -6,5 +6,4 @@
 let selectedImage;
 let questionable;
-let helper;
 
 let pageType;
@@ -39,5 +38,5 @@
                     imagePreview.style.display='inline';
                     imagePreview.innerHTML = `<img src="${e.target.result}" style="width: 100%; height: auto;">`;
-                    selectedImage =e.target.result ;
+                    selectedImage =e.target.result ; // Store the selected file
 
                     console.log(selectedImage);
@@ -301,5 +300,4 @@
         document.getElementById('text').value = param2;
         let importantValue=newsItem.querySelector('img').getAttribute("data-attribute");
-        selectedImage=importantValue;
         document.getElementById('main-image').innerHTML=`<img src="${importantValue}" style="width: 20%; height: 20%;">`;
     }
Index: src/main/resources/static/js/authentication-shared.js
===================================================================
--- src/main/resources/static/js/authentication-shared.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/authentication-shared.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -9,5 +9,5 @@
 
 function phoneCheck(phone){
-    const phonePattern = /^07\d\d{3}\d{3}$/;
+    const phonePattern = /^07\d-\d{3}-\d{3}$/;
     if (!phonePattern.test(phone)) {
         return false;
@@ -32,5 +32,5 @@
     return regex.test(password);
 }
-export async function verificationCheck(userData,condition) {
+export async function verificationCheck(userData) {
     if (!usernameCheck(userData.username)) {
         alert("Invalid username");
@@ -56,18 +56,16 @@
         }
     }
-    if(condition!==false){
-        const response = await fetch(`/api/users/checkDifferentUser`, {
-            method: "POST",
-            headers: {
-                'Content-Type': 'application/json'
-            },
-            body: JSON.stringify(userData)
-        });
-        if (response.ok) {
-            return true;
-        } else {
-            return false;
-        }
+    const response = await fetch(`/api/users/checkDifferentUser`, {
+        method: "POST",
+        headers: {
+            'Content-Type': 'application/json'
+        },
+        body: JSON.stringify(userData)
+    });
+    if (response.ok) {
+        return true;
+    } else {
+        return false;
     }
-    return true;
+
 }
Index: src/main/resources/static/js/calendar.js
===================================================================
--- src/main/resources/static/js/calendar.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/calendar.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,3 +1,2 @@
-let lastClickedItem=null;
 let calendar = document.querySelector('.calendar')
 
@@ -20,7 +19,4 @@
         document.getElementById("last-check").innerHTML=window.selectedTime;
         showModal();
-        document.getElementById("coupon-type").selectedIndex=0;
-        document.getElementById("medical-condition").innerHTML='';
-
     }
 
@@ -75,5 +71,5 @@
 function displayFreeAppointments(appointments) {
     const container = document.getElementById('hourly-terms');
-    container.innerHTML = '';
+    container.innerHTML = ''; // Clear previous appointments
 
     appointments.forEach(appointment => {
@@ -92,12 +88,7 @@
 
         appointmentDiv.textContent = formattedTime;
-        appointmentDiv.dataset.time = formattedDate+" "+formattedTime;
+        appointmentDiv.dataset.time = formattedDate+" "+formattedTime; // Store full date-time
 
         appointmentDiv.addEventListener('click', () => {
-            if(lastClickedItem){
-                lastClickedItem.style.backgroundColor="white";
-            }
-            lastClickedItem=appointmentDiv;
-            lastClickedItem.style.backgroundColor="grey";
             window.selectedTime = appointmentDiv.dataset.time;
             document.getElementById('book-button').disabled = false;
@@ -118,6 +109,5 @@
 
     let currDate = new Date()
-
-    if (typeof month !== 'number') month = currDate.getMonth();
+    if (!month) month = currDate.getMonth()
     if (!year) year = currDate.getFullYear()
 
@@ -139,14 +129,5 @@
                             <span></span>`;
             let selectedDate = `${year}-${(month + 1).toString().padStart(2, '0')}-${(i - first_day.getDay() + 1).toString().padStart(2, '0')}`;
-            day.addEventListener('click', () => {
-                let temp=document.getElementsByClassName('curr-date');
-                Array.from(temp).forEach(element => {
-                    element.classList.remove('curr-date');
-                });
-                day.classList.add('curr-date');
-                document.getElementById("coupon-type").selectedIndex=0;
-                document.getElementById("medical-condition").value='';
-                fetchFreeOrPendingAppointments(selectedDate);
-            })
+            day.addEventListener('click', () => fetchFreeOrPendingAppointments(selectedDate));
 
             if (i - first_day.getDay() + 1 === currDate.getDate() && year === currDate.getFullYear() && month === currDate.getMonth()) {
@@ -195,25 +176,3 @@
 
 
-window.onload = async function () {
-temp=document.getElementById("coupon-type");
-    try{
-        const response = await fetch(`/api/coupons/getCouponNames`);
-        if (response.ok) {
-            const couponNames = await response.json();
-            console.log("Coupons:", couponNames);
 
-            couponNames.forEach(coupon => {
-                const option = document.createElement("option");
-                option.value = coupon;
-                option.textContent = coupon;
-                temp.appendChild(option);
-            });
-        } else {
-            console.log(response.statusText);
-        }
-    }
-    catch(error){
-        console.error("Error fetching coupons:", error);
-    }
-
-};
Index: src/main/resources/static/js/cookie.js
===================================================================
--- src/main/resources/static/js/cookie.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ 	(revision )
@@ -1,118 +1,0 @@
-let loggedInUser = false;
-const checkIntervalDuration = 1000;
-function getRoleFromCookie() {
-    const name = "role=";
-    const decodedCookie = decodeURIComponent(document.cookie);
-    const cookieArray = decodedCookie.split(';');
-    for(let i = 0; i <cookieArray.length; i++) {
-        let cookie = cookieArray[i];
-        while (cookie.charAt(0) === ' ') {
-            cookie = cookie.substring(1);
-        }
-        if (cookie.indexOf(name) === 0) {
-            return cookie.substring(name.length, cookie.length);
-        }
-    }
-    return "";
-}
-function getCookie(name) {
-    const value = `; ${document.cookie}`;
-    const parts = value.split(`; ${name}=`);
-    if (parts.length === 2) return parts.pop().split(';').shift();
-    return undefined;
-}
-function checkCookieAndUpdateUI() {
-    const username = getCookie('username');
-    const userRole=getRoleFromCookie();
-    console.log(userRole);
-    const authButton = document.getElementById('authButton');
-
-    if (username) {
-        if (!loggedInUser) {
-            loggedInUser = true;
-            authButton.innerText = 'Logout';
-            authButton.style.display = 'block';
-            localStorage.setItem('lastCheck', Date.now());
-        }
-        else{
-            if(window.location.pathname === '/'){
-                if(userRole==="ADMIN"){
-                    window.location.href = '/admin.html';
-                }
-                else{
-                    const personalisedSection=document.getElementById("personalised");
-                    personalisedSection.innerHTML=`Добредојде, ${username}!`;
-                    document.getElementsByClassName("logged-in")[0].style.display='block';
-                    document.getElementById("adminSection").style.display='none';
-                }
-
-            }
-        }
-
-    }
-        else {
-        if (loggedInUser) {
-            loggedInUser = false;
-            authButton.style.display = 'none';
-           // deleteCookie('username')
-            window.location.href = '/';
-        }
-    }
-}
-
-
-
-function startCookieCheckInterval() {
-    if (!window.cookieCheckInterval) {
-        window.cookieCheckInterval = setInterval(() => {
-            const lastCheck = localStorage.getItem('lastCheck');
-            const timeSinceLastCheck = Date.now() - (lastCheck ? parseInt(lastCheck) : 0);
-            if (timeSinceLastCheck >= checkIntervalDuration) {
-                checkCookieAndUpdateUI();
-            }
-        }, 10);
-    }
-}
-function deleteCookie(name) {
-    document.cookie = name + '=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
-}
-function resetAuthState() {
-    loggedInUser = false;
-    const authButton = document.getElementById('authButton');
-    authButton.style.display = 'none';
-    localStorage.removeItem('lastCheck');
-    clearInterval(window.cookieCheckInterval);
-    window.cookieCheckInterval = null;
-}
-
-window.addEventListener('load',function() {
-
-    const wasRefreshed=sessionStorage.getItem("refreshed");
-    if(wasRefreshed){
-        //deleteCookie("username");
-        sessionStorage.removeItem("refreshed")
-        if(getRoleFromCookie()==="ADMIN"){
-            window.location.href="/admin.html";
-        }
-        else{
-            window.location.href="/";
-        }
-    }
-    else{
-        sessionStorage.setItem("refreshed","true")
-    }
-    checkCookieAndUpdateUI();
-    startCookieCheckInterval();
-    let authButton=document.getElementById("authButton");
-    authButton.addEventListener('click', () => {
-        if (authButton.innerText === 'Logout') {
-            deleteCookie('username');
-            deleteCookie('role');
-            resetAuthState();
-                window.location.href="/";
-        }
-    });
-});
-window.addEventListener("beforeunload", function() {
-    sessionStorage.removeItem("refreshed");
-});
Index: src/main/resources/static/js/editUser.js
===================================================================
--- src/main/resources/static/js/editUser.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/editUser.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -3,5 +3,5 @@
 import { verificationCheck } from './authentication-shared.js';
 
-let loggedPerson,checkDifferent;
+let loggedPerson;
 const modal = document.getElementById('popupModal');
 const cancelBtn = document.getElementById('cancelBtn');
@@ -71,4 +71,5 @@
         counter= user.carriedOut.length;
     }
+    console.log(counter);
     return counter;
 }
@@ -121,15 +122,14 @@
             buttonCell.appendChild(button1);
             button2.textContent = "Потврди одржан";
+            button2.addEventListener('click',()=>
+                function(){
+                modal.style.display='flex';
+                approveBtn.addEventListener('click', () => {
+                    const userInput = document.getElementById('userInput').value;
+                    confirmCarriedOut(request.term,userInput);
+                    modal.style.display = 'none'; // Close the modal after approval
+                });
+            });
             buttonCell.appendChild(button2);
-            button2.addEventListener('click',()=> {
-                modal.style.display='flex';
-                document.getElementById("userInput").disabled=false;
-            });
-            approveBtn.addEventListener('click', () => {
-                const userInput = document.getElementById('userInput').value;
-                confirmCarriedOut(request.term,userInput);
-                modal.style.display = 'none';
-            });
-
         }
 
@@ -146,5 +146,5 @@
     if(selectedValue==="requests"){
         url=`/api/requests/listAll?username=${loggedPerson.username}`;
-        tHeadArray=["Термин","Медицинска состојба","Опции"];
+        tHeadArray=["Термин", "Опции"];
         createHeader(tHeadArray);
         getAll(url);
@@ -153,5 +153,5 @@
         let testTemp="RESERVED";
         url=`/api/appointments/listAll?username=${loggedPerson.username}&status=${testTemp}`;
-        tHeadArray=["Термин","Медицинска состојба", "Опции"];
+        tHeadArray=["Термин", "Опции"];
         createHeader(tHeadArray);
         getAll(url);
@@ -230,5 +230,5 @@
         .catch(error => {
             console.error('Error fetching user data:', error);
-            return { name: '', surname: '' };
+            return { name: '', surname: '' };  // return empty values on error
         });
 }
@@ -267,6 +267,9 @@
         if (cookieUsername) {
             fetchUserData(cookieUsername,"USER").then(userData => {
-            console.log("success")
+                const fullName = `${userData.name} ${userData.surname}`;
+                document.getElementById('cookie-name').innerHTML = fullName;
             });
+        } else {
+            document.getElementById('cookie-name').textContent = 'Default Name';
         }
     }
@@ -274,14 +277,13 @@
 function saveProfileChanges() {
     const userName = document.querySelector('input[name="username"]').value;
-    const phoneNum=document.querySelector('input[name="phone"]').value.replace(/-/g,"")
-    console.log(phoneNum);
+    console.log(userName);
     const updatedData = {
         username: userName,
         name: document.querySelector('input[name="firstName"]').value,
         surname: document.querySelector('input[name="lastName"]').value,
-        phone: phoneNum,
+        phone: document.querySelector('input[name="phone"]').value,
         age: document.querySelector('input[name="age"]').value
     };
-    if(!verificationCheck(updatedData,checkDifferent)){
+    if(!verificationCheck(updatedData)){
         return;
     }
@@ -297,5 +299,5 @@
         .then(data => {
             alert('Profile updated successfully!');
-            toggleEditing(false);
+            toggleEditing(false); // Disable fields after saving changes
             updateCookieUsername(userName);
         })
@@ -311,11 +313,4 @@
     };
 }
-function removeOptions(){
-    if(getRoleFromCookie()!=="ADMIN"){
-        let temp=this;
-        temp.removeChild(document.getElementById("requests"));
-        temp.removeChild(document.getElementById("appointments"))
-    }
-}
 
 function toggleEditing(isEnabled) {
@@ -327,17 +322,13 @@
 
 window.onload = function(){
-    checkDifferent=true;
     updateProfile();
     toggleEditing(false);
     document.getElementById('edit-profile').addEventListener('click', function() {
        const role=getQueryParams();
-       if(role.param1 ==='ADMIN'){
-           toggleEditing(true);
-           checkDifferent=false;
-       }
-
+       if(role.param1 ==='ADMIN')
+        toggleEditing(true);
     });
     document.getElementById('saveChanges').addEventListener('click', saveProfileChanges);
     document.getElementById("statusDropdown").addEventListener('change',createRowsBasedOnType);
-    document.getElementById("statusDropdown").addEventListener('click',removeOptions);
-}
+
+}
Index: src/main/resources/static/js/index.js
===================================================================
--- src/main/resources/static/js/index.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/index.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -1,3 +1,4 @@
 import { verificationCheck } from "./authentication-shared.js";
+
 function toggleForm(formId, show) {
         const form = document.getElementById(formId);
@@ -59,11 +60,8 @@
                 });
             }
-            else{
-                alert("Sign in successfull! Now log in!")
-            }
             return response.json();
         })
         .then(data => {
-            console.log(data.message);
+            console.log(data.message); // Handle success message
         })
         .catch(error => {
@@ -99,4 +97,8 @@
             console.log('Parsed data:', data);
             if (data.success) {
+                const name=data.name;
+                const surname=data.surname;
+                const personalisedSection=document.getElementById("personalised");
+                personalisedSection.innerHTML=`Добредојде, ${name} ${surname}!`;
                 updateUIBasedOnRole(data.userRole);
             }
@@ -106,4 +108,5 @@
         })
         .finally(() => {
+            // Close the form after handling the response
             toggleForm('loginForm', false);
         });
Index: src/main/resources/static/js/shared.js
===================================================================
--- src/main/resources/static/js/shared.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/shared.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -21,7 +21,4 @@
             if (!response.ok) {
                 throw new Error('Failed to delete the appointment');
-            }
-            else{
-                location.reload();
             }
         })
@@ -50,5 +47,4 @@
 
             if (updateResponse.ok) {
-                location.reload();
                 console.log(`User updated successfully in carried_out`);
             } else {
@@ -140,5 +136,4 @@
 
             }
-            location.reload();
 
         } else {
@@ -154,5 +149,4 @@
         if (response.ok) {
             console.log('Appointment added successfully.');
-            location.reload();
         } else {
             const text = await response.text();
@@ -166,12 +160,10 @@
 export function displayDiv(dateTime,username){
     if (typeof username !== 'undefined'){
-        makeReservation(dateTime, username);
+        makeReservation(dateTime,username);
     }
     else{
-        let temp=document.getElementById("confirm-approval");
-        temp.addEventListener('click',()=>{
-            const approvedUser = document.getElementById("username-approval").value;
-            makeReservation(dateTime,approvedUser)
-        });
+        const inputValue = document.getElementById("username-approval");
+        const approvedUser = inputValue.value;
+        document.getElementById("confirm-approval").addEventListener('click',makeReservation(dateTime,approvedUser));
     }
 }
Index: src/main/resources/static/js/terms.js
===================================================================
--- src/main/resources/static/js/terms.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/terms.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -50,5 +50,5 @@
     dialog.setAttribute("id","dialogPopUp");
     const message = document.createElement('p');
-    message.textContent = 'Дали сте сигурни дека сакате да откажете?';
+    message.textContent = 'Are you sure you want to cancel the reservation?';
     dialog.appendChild(message);
     const yesButton = document.createElement('button');
@@ -107,8 +107,8 @@
         row.appendChild(termCell);
         const nameCell = document.createElement('td');
-        nameCell.textContent = request.name;
+        nameCell.textContent = request.name; // Format date
         row.appendChild(nameCell);
         const surnameCell = document.createElement('td');
-        surnameCell.textContent = request.surname;
+        surnameCell.textContent = request.surname; // Format date
         row.appendChild(surnameCell);
         const couponCodeCell = document.createElement('td');
@@ -119,5 +119,5 @@
         row.appendChild(additionalInfoCell);
         const usernameCell = document.createElement('td');
-        usernameCell.textContent = request.username;
+        usernameCell.textContent = request.username; // Format date
         row.appendChild(usernameCell);
         const buttonCell = document.createElement('td');
@@ -139,4 +139,5 @@
     const oldHead = document.getElementById('initial-head');
     if (thead) {
+        console.log("cleaned")
         thead.innerHTML = '';
     }
@@ -164,5 +165,5 @@
         const row = document.createElement('tr');
         const termCell = document.createElement('td');
-        termCell.textContent = replaceWithSpace(request.dateTime);
+        termCell.textContent = replaceWithSpace(request.dateTime); // Format date
         row.appendChild(termCell);
         const userCell = document.createElement('td');
@@ -170,5 +171,5 @@
         row.appendChild(userCell);
         const adminCell = document.createElement('td');
-        adminCell.textContent = request.adminNote;
+        adminCell.textContent = request.adminNote; // Format date
         row.appendChild(adminCell);
         const statusCell = document.createElement('td');
Index: src/main/resources/static/js/userInfo.js
===================================================================
--- src/main/resources/static/js/userInfo.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ 	(revision )
@@ -1,37 +1,0 @@
-const couponsFrame=document.getElementById("coupons-frame");
-const newsFrame=document.getElementById("news-frame");
-window.addEventListener('load',async function(){
-    try{
-        const response1=await fetch(`/api/coupons/getAllCoupons`);
-        const response2=await fetch(`/api/news/getAllEvents`);
-        if(response1.ok){
-            const coupons=await response1.json();
-            coupons.forEach(coupon=>{
-                const couponDiv=document.createElement("div");
-                couponDiv.classList.add("new-item");
-                couponDiv.innerHTML=`<h3>${coupon.title}</h3><p>${coupon.code}</p><p>${coupon.description}</p>`;
-
-                couponsFrame.appendChild(couponDiv);
-            })
-        }
-        else{
-            console.log("error with coupons")
-        }
-        if(response2.ok){
-            const news=await response2.json();
-            news.forEach(event=>{
-                const eventDiv=document.createElement("div");
-                eventDiv.classList.add("new-item");
-                eventDiv.innerHTML=`<h3>${event.title}</h3><p>${event.text}</p>${event.imgSrc ? `<img src="${event.imgSrc}" style="width: 80%; height: auto;" data-attribute="${event.imgSrc}">` : ''}`;
-
-                newsFrame.appendChild(eventDiv);
-            })
-        }
-        else{
-            console.log("error with news")
-        }
-    }
-    catch(error){
-        console.error("Error fetching data:", error);
-    }
-});
Index: src/main/resources/static/js/users-view.js
===================================================================
--- src/main/resources/static/js/users-view.js	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/static/js/users-view.js	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -12,4 +12,5 @@
 }
 function calculateAge(dateBirth){
+    console.log(dateBirth);
     const [year, month, day] = dateBirth.split('-').map(Number);
     const birthDate = new Date(year, month - 1, day);
@@ -54,4 +55,5 @@
         button.addEventListener('click',()=>{
             let temp=user.username;
+            console.log(temp);
                 const params = new URLSearchParams({ param1: 'ADMIN', param2: temp }).toString();
                 window.location.href = `editUser.html?${params}`;
@@ -88,4 +90,5 @@
    document.getElementById("search-input-container").style.display = 'none';
     const selectedValue = event.currentTarget.value;
+    console.log(selectedValue);
     if(selectedValue!=='defaultValue')
     filterUsers("status",selectedValue).then(r => console.log(r));
@@ -95,8 +98,10 @@
     setInitialSelectValue(userStatusElement);
     const dataCheck = event.currentTarget.value;
+    console.log(dataCheck);
     updateSearchInputVisibility(dataCheck);
 
     document.getElementById("search-button").addEventListener('click',function (){
         let filterTemp=document.getElementById("search-input");
+        console.log(filterTemp.value);
         filterUsers(dataCheck,filterTemp.value).then(r => console.log(r));
         filterTemp.value='';
Index: src/main/resources/templates/html/admin-terms.html
===================================================================
--- src/main/resources/templates/html/admin-terms.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/admin-terms.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -8,12 +8,9 @@
     Calendar
   </title>
-  <script src="/js/cookie.js" defer></script>
   <link rel="stylesheet" href="/css/admin-terms.css">
 </head>
 <body class="light">
-<button id="authButton" style="display: none;"></button>
 <div id="content">
   <h1>Преглед и менаџирање со термини</h1>
-  <h3>Со клик врз датумот од календарот добивате преглед за термините</h3>
   <div id="left-side">
     <div id="calendar-main">
@@ -86,14 +83,13 @@
   <div id="right-side">
     <div id="active">
-      <h3>Тековни термини за ден <span id="insert-date"></span></h3> <p>(доколку постои термин, со клик врз време, се добиваат информации и овозоможува менаџирање со термин)</p>
+      <p>Тековни термини за ден <span id="insert-date"></span></p>
       <div id="frame"></div>
-      <button id="temporal-deletion" style="display: none;">Целосно бришење термин</button>
     </div>
-    <div id="summary" style="display: none;">
+    <div id="summary">
       <table id="requested-table" style="display: none;">
-        <thead><tr><th>Предложени</th></tr></thead><tbody id="requested"></tbody>
+        <thead><th>Предложени</th></thead><tbody id="requested"></tbody>
       </table>
       <table id="approved-table" style="display: none;">
-        <thead><tr><th>Одобрени</th></tr></thead><tbody id="approved"></tbody>
+        <thead><th>Одобрени</th></thead><tbody id="approved"></tbody>
       </table>
       <div id="request-assets" style="display: none;">
@@ -117,4 +113,5 @@
         </div>
       </div>
+      <button id="temporal-deletion" style="display: none;">Целосно бришење термин</button>
     </div>
   </div>
Index: src/main/resources/templates/html/admin.html
===================================================================
--- src/main/resources/templates/html/admin.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/admin.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -8,8 +8,6 @@
     <link href="https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&display=swap" rel="stylesheet">
     <link rel="stylesheet" href="/css/admin.css">
-    <script src="/js/cookie.js" defer></script>
 </head>
 <body>
-<button id="authButton" style="display: none;"></button>
 <img id="second-image" src="/images/physiotherapy.jpg">
 <div id="frame">
Index: src/main/resources/templates/html/adminCoupons.html
===================================================================
--- src/main/resources/templates/html/adminCoupons.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/adminCoupons.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -4,9 +4,7 @@
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
-  <script src="/js/cookie.js" defer></script>
   <link rel="stylesheet" href="/css/adminNews.css">
 </head>
 <body data-page="coupons">
-<button id="authButton" style="display: none;"></button>
 <h2>Купони...</h2>
 <div class="coupons-container">
Index: src/main/resources/templates/html/adminNews.html
===================================================================
--- src/main/resources/templates/html/adminNews.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/adminNews.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -4,9 +4,7 @@
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
-  <script src="/js/cookie.js" defer></script>
   <link rel="stylesheet" href="/css/adminNews.css">
 </head>
 <body data-page="events">
-<button id="authButton" style="display: none;"></button>
 <h2>Настани, новости...</h2>
 <div class="news-container">
Index: src/main/resources/templates/html/calendar.html
===================================================================
--- src/main/resources/templates/html/calendar.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/calendar.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -8,15 +8,13 @@
         Calendar
     </title>
-    <script src="/js/cookie.js" defer></script>
     <link rel="stylesheet" href="/css/calendar.css">
 </head>
 <body class="light">
-<button id="authButton" style="display: none;"></button>
 <div id="content">
     <div id="personal-info">
         <img id="admin-photo" src="/images/chicho-round.png">
         <div id="first-box" class="white-space">
-            <a href="editUser.html"><img src="/images/down.png">Кориснички профил</a>
-            <a href="terms.html"><img src="/images/down.png">Мои термини</a>
+            <a><img src="/images/down.png">Кориснички профил</a>
+            <a><img src="/images/down.png">Мои термини</a>
         </div>
     </div>
@@ -57,14 +55,13 @@
         </div>
         <div id="right-side">
+            <div id="hourly-terms">
+
+            </div>
             <div>
-                <label>Код на купон:</label>
-                <select id="coupon-type">
-                    <option></option>
-                </select>
+                <label>Код на купон:</label><input id="coupon-type" type="text">
             </div>
             <div>
                 <label>Медицинска состојба:</label> <input id="medical-condition" type="text">
             </div>
-            <div id="hourly-terms"></div>
             <button id="book-button" disabled>Закажи</button>
         </div>
Index: src/main/resources/templates/html/coupons.html
===================================================================
--- src/main/resources/templates/html/coupons.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/coupons.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -13,8 +13,7 @@
         }
     </style>
-    <script src="/js/cookie.js" defer></script>
 </head>
 <body>
-<button id="authButton" style="display: none;"></button>
+
 <table>
 
Index: src/main/resources/templates/html/editUser.html
===================================================================
--- src/main/resources/templates/html/editUser.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/editUser.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -4,95 +4,60 @@
     <meta charset="UTF-8">
     <title>Title</title>
-    <link rel="stylesheet" href="/css/editUser.css">
-    <script src="/js/cookie.js" defer></script>
 </head>
 <body>
-<button id="authButton" style="display: none;"></button>
-<h2>Информации за корисникот</h2>
-<div id="content">
-    <div id="main-part">
-            <div id="container">
-                <div id="left-side">
-                    <div>
-                        <p>Корисничко име</p>
-                        <input type="text" name="username" id="usernameSignIn"/>
-                    </div>
-                    <div>
-                        <p>Име</p>
-                        <input type="text" id="name" name="firstName"/>
-                    </div>
-                    <div>
-                        <p>Презиме</p>
-                        <input type="text" id="surname" name="lastName"/>
-                    </div>
-                    <div>
-                        <p>Година на раѓање</p>
-                        <input type="date" id="age" name="age"/>
-                    </div>
-                </div>
-                <div id="right-side">
-                    <div>
-                        <p>Телефон</p>
-                        <input type="tel" id="phone" placeholder="07_-___-___" name="phone"/>
-                    </div>
-                    <button id="block-account" style="display: none;">Блокирај к.сметка</button>
-                    <button id="edit-profile">Измени профил</button>
-                    <button id="saveChanges">Зачувај</button>
-                </div>
-            </div>
-        <div id="adminInfo-block" style="display: none;">
-            <table id="stat-table">
-                <thead>
-                <tr>
-                    <th>Состојба на термин</th>
-                    <th>Број</th>
-                </tr>
-                </thead>
-                <tbody>
-                <tr>
-                    <td>Одржани термини</td>
-                    <td><span id="carried-out"></span></td>
-                </tr>
-                <tr>
-                    <td>Одбиени предлози</td>
-                    <td><span id="rejected"></span></td>
-                </tr>
-                <tr>
-                    <td>Откажани предлози</td>
-                    <td><span id="cancelledReqByUser"></span></td>
-                </tr>
-                <tr>
-                    <td>Откажани термини(корисник)</td>
-                    <td><span id="cancelledAppByUser"></span></td>
-                </tr>
-                <tr>
-                    <td>Откажани термини(админ)</td>
-                    <td><span id="cancelledAppByAdmin"></span></td>
-                </tr>
-                </tbody>
-            </table>
-        </div>
+<div id="user-info" style="display: none;">
+    <img/>
+    <h1>Здраво <span id="cookie-name">име</span></h1>
+    <h2>Ова е твојата профилна страница. Тука имаш преглед кон твоите лични податоци, а воедно можеш и да ги модифицираш</h2>
+</div>
+<button id="edit-profile">Измени профил</button>
+<div>
+    <p>Информации за корисникот</p>
+    <div>
+        <p>Корисничко име</p>
+        <input type="text" name="username" id="usernameSignIn"/>
     </div>
-    <div id="table-part">
-        <p>Информации за термини на корисникот</p>
-        <select id="statusDropdown">
-            <option value=""></option>
-            <option value="requests" id="requests">Предложени термини</option>
-            <option value="appointments" id="appointments">Прифатени термини</option>
-            <option value="not-completed" id="not-completed">Неодржани термини</option>
-            <option value="completed" id="completed">Одржени термини</option>
-        </select>
-        <table id="additional-table">
-            <thead id="active-tableHead"></thead>
-            <tbody id="active-table"></tbody>
-        </table>
+    <div>
+        <p>Име</p>
+        <input type="text" id="name" name="firstName"/>
+    </div>
+    <div>
+        <p>Презиме</p>
+        <input type="text" id="surname" name="lastName"/>
+    </div>
+    <div>
+        <p>Телефон</p>
+        <input type="tel" id="phone" placeholder="07_-___-___" name="phone"/>
+    </div>
+    <div>
+        <p>Година на раѓање</p>
+        <input type="date" id="age" name="age"/>
     </div>
 </div>
-
+<button id="saveChanges">Зачувај</button>
+<p id="paramsDisplay"></p>
+<select id="statusDropdown">
+    <option value=""></option>
+    <option value="requests" id="requests">Предложени термини</option>
+    <option value="appointments" id="appointments">Прифатени термини</option>
+    <option value="not-completed" id="not-completed">Неодржани термини</option>
+    <option value="completed" id="completed">Одржени термини</option>
+</select>
+<table>
+    <thead id="active-tableHead"></thead>
+    <tbody id="active-table"></tbody>
+</table>
+<div id="adminInfo-block" style="display: none;">
+    <p>Број на одржани термини <span id="carried-out"></span></p>
+    <p>Број на одбиени предлози за термин <span id="rejected"></span></p>
+    <p>Број на откажани предлози за термин <span id="cancelledReqByUser"></span></p>
+    <p>Број на откажани термини(корисник) <span id="cancelledAppByUser"></span></p>
+    <p>Број на откажани термини(админ) <span id="cancelledAppByAdmin"></span></p>
+</div>
 <div id="popupModal" class="modal" style="display: none;">
     <div class="modal-content">
         <span class="close">&times;</span>
         <h2>Enter Your Details</h2>
-        <input type="text" id="userInput" required>
+        <input type="text" id="userInput" placeholder="Enter something...">
         <div class="buttons">
             <button id="cancelBtn">Cancel</button>
@@ -101,5 +66,5 @@
     </div>
 </div>
-
+<button id="block-account" style="display: none;">Блокирај к.сметка</button>
 <script type="module" src="/js/editUser.js"></script>
 </body>
Index: src/main/resources/templates/html/index.html
===================================================================
--- src/main/resources/templates/html/index.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/index.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -14,5 +14,4 @@
   <link href="https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&family=Dancing+Script:wght@400..700&family=Kumbh+Sans:wght@100..900&family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Libre+Bodoni:ital,wght@0,400..700;1,400..700&display=swap" rel="stylesheet">
   <link rel="stylesheet" href="/css/index.css">
-  <script src="/js/cookie.js" defer></script>
 </head>
 <body>
@@ -58,6 +57,7 @@
     </nav>
   </div>
-  <button id="authButton" style="display: none;"></button>
 </header>
+
+
 <div class="main-content">
   <div class="title">Енергијата зборува <span class="split-title">погласно од зборовите...</span></div>
@@ -80,10 +80,7 @@
     <div class="white-part">
       <p id="personalised"></p>
-      <div id="links">
-      <a href="calendar.html"><img src="/images/down.png">Закажи термин</a>
-      <a href="terms.html"><img src="/images/down.png"> Мои термини</a>
-      <a href="editUser.html"><img src="/images/down.png"> Кориснички профил</a>
-      <a href="userInfo.html"><img src="/images/down.png"> Новости и купони</a>
-      </div>
+      <a href="calendar.html">Закажи термин</a>
+      <a href="terms.html">Мои термини</a>
+      <a href="editUser.html">Кориснички профил</a>
     </div>
   </div>
@@ -156,5 +153,5 @@
         <label for="password">Лозинка:</label>
         <input type="password" id="password" name="password" required>
-        <button id="submit-btn" type="submit">Логирање</button>
+        <button type="submit">Логирање</button>
       </form>
     </div>
@@ -166,30 +163,18 @@
       <h2>Креирајте корисничка сметка</h2>
       <form class="dataForms" method="post">
-        <div>
-          <label for="name">Име:</label>
-          <input type="name" id="name" name="name" required>
-        </div>
-        <div>
-          <label for="surname">Презиме:</label>
-          <input type="surname" id="surname" name="surname" required>
-        </div>
-        <div>
-          <label for="phone">Телефон:</label>
-          <input type="tel" id="phone" name="phone" placeholder="07_-___-___" required>
-        </div>
-        <div>
-          <label for="age">Датум на раѓање:</label>
-          <input type="date" id="age" name="age" required>
-        </div>
-        <div>
-          <label for="usernameSignIn">Корисничко име:</label>
-          <input type="username" id="usernameSignIn" name="username" required>
-        </div>
-        <div>
-          <label for="passwordSignIn">Лозинка:</label>
-          <input type="password" id="passwordSignIn" name="password" required>
-        </div>
+        <label for="name">Име:</label>
+        <input type="name" id="name" name="name" required>
+        <label for="surname">Презиме:</label>
+        <input type="surname" id="surname" name="surname" required>
+        <label for="phone">Телефон:</label>
+        <input type="tel" id="phone" name="phone" placeholder="07_-___-___" required>
+        <label for="age">Датум на раѓање:</label>
+        <input type="date" id="age" name="age" required>
+        <label for="usernameSignIn">Корисничко име:</label>
+        <input type="username" id="usernameSignIn" name="username" required>
+        <label for="passwordSignIn">Лозинка:</label>
+        <input type="password" id="passwordSignIn" name="password" required>
+        <button type="submit">Креирај</button>
       </form>
-      <button id="create" type="submit">Креирај</button>
     </div>
   </div>
Index: src/main/resources/templates/html/terms.html
===================================================================
--- src/main/resources/templates/html/terms.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/terms.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -5,11 +5,14 @@
     <title>Title</title>
     <link rel="stylesheet" href="/css/terms.css">
-    <script src="/js/cookie.js" defer></script>
 </head>
 <body>
-<button id="authButton" style="display: none;"></button>
+<div id="outer-frame">
     <div id="frame">
         <div id="header">
-            <h2>Резервации</h2>
+            <div>Резервации</div>
+            <div>
+                <button>Кориснички профил</button>
+                <button>Закажи термин</button>
+            </div>
         </div>
 
@@ -22,8 +25,23 @@
 
         <table>
-            <thead id="table-head"><tr id="initial-head"></tr></thead>
-            <tbody id="requestsTableBody"></tbody>
+            <thead id="table-head">
+            <tr id="initial-head">
+<!--                <th>Термин</th>-->
+<!--                <th>Име</th>-->
+<!--                <th>Презиме</th>-->
+<!--                <th>Купон</th>-->
+<!--                <th>Дополнителни информации</th>-->
+<!--                <th>Корисник</th>-->
+<!--                <th>Откажи</th>-->
+            </tr>
+            </thead>
+            <tbody id="requestsTableBody">
+
+            </tbody>
         </table>
+
+
     </div>
+</div>
 <script src="/js/terms.js"></script>
 </body>
Index: src/main/resources/templates/html/userInfo.html
===================================================================
--- src/main/resources/templates/html/userInfo.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<!DOCTYPE html>
-<html lang="en">
-<head>
-    <meta charset="UTF-8">
-    <title>Title</title>
-  <link rel="stylesheet"  href="/css/userInfo.css">
-  <script src="/js/cookie.js" defer></script>
-</head>
-<body>
-<button id="authButton" style="display: none;"></button>
-<h2> Преглед на најнови вести и купони  </h2>
-<div id="box">
-  <div id="news">
-    <h3> Вести</h3>
-    <div id="news-frame">
-    </div>
-  </div>
-  <div id="coupons">
-    <h3>Купони </h3>
-    <div id="coupons-frame">
-    </div>
-  </div>
-</div>
-<script src="/js/userInfo.js"></script>
-</body>
-</html>
Index: src/main/resources/templates/html/users-view.html
===================================================================
--- src/main/resources/templates/html/users-view.html	(revision 43c909087ac1cb1edc0060980e76744ba06a74bf)
+++ src/main/resources/templates/html/users-view.html	(revision 743de552547f72aa36d0ace8c6df4c212d5bb86d)
@@ -5,8 +5,6 @@
   <title>Title</title>
   <link rel="stylesheet" href="/css/users-view.css">
-  <script src="/js/cookie.js" defer></script>
 </head>
 <body>
-<button id="authButton" style="display: none;"></button>
 <div id="frame">
   <div id="header-part">
